apiVersion: multicluster.openshift.io/v1
kind: MultiClusterEngine
metadata:
  name: engine
spec:
  availabilityConfig: High
  overrides:
    components:
      - configOverrides: {}
        enabled: true
        name: assisted-service
      - configOverrides: {}
        enabled: true
        name: cluster-lifecycle
      - configOverrides: {}
        enabled: true
        name: cluster-manager
      - configOverrides: {}
        enabled: true
        name: discovery
      - configOverrides: {}
        enabled: true
        name: hive
      - configOverrides: {}
        enabled: true
        name: server-foundation
      - configOverrides: {}
        enabled: true
        name: cluster-proxy-addon
      - configOverrides: {}
        enabled: true
        name: local-cluster
      - configOverrides: {}
        enabled: true
        name: hypershift-local-hosting
      - configOverrides: {}
        enabled: true
        name: hypershift
      - configOverrides: {}
        enabled: true
        name: managedserviceaccount
      - configOverrides: {}
        enabled: true
        name: cluster-api-preview
      - configOverrides: {}
        enabled: true
        name: cluster-api-provider-aws-preview
      - configOverrides: {}
        enabled: false
        name: image-based-install-operator
      - configOverrides: {}
        enabled: true
        name: console-mce
  targetNamespace: multicluster-engine